function [hottestName, hottestTemp] = hottestStar(allStars)
% [name, temp] = hottestStar(allStars)
% given an input vector of structures with information about stars, returns
% the name and temperature of the hottest star overall

hottestTemp = 0;        % keeps track of highest temperature found so far
hottestName = '';       % name of hottest star found so far
for i = 1:length(allStars)
    if (allStars(i).temp > hottestTemp)
        % a hotter star is found, so update the hottest temp and name
        hottestTemp = allStars(i).temp;
        hottestName = allStars(i).name;
    end
end



