function [hottestName, hottestTemp] = hottestStarConst(allStars, constellation)
% [name, temp] = hottestStar(allStars, constellation)
% given an input vector of structures with information about stars and
% name of a constellation, return the name and temperature of the hottest 
% star in the constellation

hottestTemp = 0;        % keeps track of highest temperature found so far
hottestName = '';       % name of hottest star found so far in constellation
for i = 1:length(allStars)
    if strcmp(allStars(i).const, constellation)
        % found a star in the constellation, so check if it's hotter than
        % the hottest star found so far in this constellation
        if (allStars(i).temp > hottestTemp)
            hottestTemp = allStars(i).temp;
            hottestName = allStars(i).name;
        end
    end
end
if (hottestTemp == 0)
    disp('constellation not found')
end

