% testStars.m
% script to test all the functions that use a vector of structures with
% information about a set of stars

% run the makeStars.m script to create a vector of 15 structures, where
% each structure stores the name, constellation, and temperature of a
% star, in three fields called name, const, and temp

makeStars

% print information about all the stars

printAllStarsInfo(stars)
disp(' ')

% test function that prints the temperature of the star with the input
% name and constellation

printTemp(stars, 'Spica', 'Virgo')
disp(' ')

printTemp(stars, 'Mizar', 'Ursa Major')
disp(' ')

printTemp(stars, 'Spica', 'Leo')
disp(' ')

printTemp(stars, 'Ellen', 'Ursa Major')
disp(' ')

% test function that prints the names of stars in the input constellation

printStarsInConstellation(stars, 'Crux')
disp(' ')

printStarsInConstellation(stars, 'Ursa Major')
disp(' ')

printStarsInConstellation(stars, 'Stella')
disp(' ')

% test function that returns the name and temperature of the hottest star

[hotName1, hotTemp1] = hottestStar(stars)
disp(' ')

% test function that returns the name and temperature of the hottest star
% in the specified constellation

[hotName2, hotTemp2] = hottestStarConst(stars, 'Leo')
disp(' ')

[hitName3, hotTemp3] = hottestStarConst(stars, 'Stella');
disp(' ')





